summaryrefslogtreecommitdiffstats
path: root/debian/git-daemon
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-09 13:34:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-09 13:34:29 +0000
commitcb99946239e45aef68c2a7168262def132399550 (patch)
tree0949c7cb00d7da2987826edafff9d8fba93e95f0 /debian/git-daemon
parentAdding upstream version 1:2.43.0. (diff)
downloadgit-cb99946239e45aef68c2a7168262def132399550.tar.xz
git-cb99946239e45aef68c2a7168262def132399550.zip
Adding debian version 1:2.43.0-1.debian/1%2.43.0-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/git-daemon')
-rwxr-xr-xdebian/git-daemon/log/run7
-rwxr-xr-xdebian/git-daemon/run6
2 files changed, 13 insertions, 0 deletions
diff --git a/debian/git-daemon/log/run b/debian/git-daemon/log/run
new file mode 100755
index 0000000..eed4ed7
--- /dev/null
+++ b/debian/git-daemon/log/run
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+LOG=/var/log/git-daemon
+
+test -d "$LOG" || mkdir -p -m2750 "$LOG" && chown gitlog:adm "$LOG"
+exec chpst -ugitlog svlogd -tt "$LOG"
diff --git a/debian/git-daemon/run b/debian/git-daemon/run
new file mode 100755
index 0000000..b865526
--- /dev/null
+++ b/debian/git-daemon/run
@@ -0,0 +1,6 @@
+#!/bin/sh
+exec 2>&1
+echo 'git-daemon starting.'
+exec chpst -ugitdaemon \
+ "$(git --exec-path)"/git-daemon --verbose --reuseaddr \
+ --base-path=/var/lib /var/lib/git